Online Endpoints - List Keys
Elencare EndpointAuthKeys per un endpoint usando l'autenticazione basata su chiave.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/onlineEndpoints/{endpointName}/listKeys?api-version=2025-09-01
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
Nome endpoint online. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Nome del gruppo di risorse. Il nome è insensibile alle maiuscole e minuscole. |
|
subscription
|
path | True |
string minLength: 1 |
ID della sottoscrizione di destinazione. |
|
workspace
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$ |
Nome dell'area di lavoro di Azure Machine Learning. |
|
api-version
|
query | True |
string minLength: 1 |
Versione dell'API da usare per questa operazione. |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
Success |
|
| Other Status Codes |
Errore |
Esempio
ListKeys Workspace Online Endpoint.
Esempio di richiesta
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/onlineEndpoints/testEndpointName/listKeys?api-version=2025-09-01
Risposta di esempio
{
"primaryKey": "string",
"secondaryKey": "string"
}
Definizioni
| Nome | Descrizione |
|---|---|
|
Endpoint |
Chiavi per l'autenticazione degli endpoint. |
|
Error |
Informazioni aggiuntive sull'errore di gestione delle risorse. |
|
Error |
Dettagli dell'errore. |
|
Error |
Risposta di errore |
EndpointAuthKeys
Chiavi per l'autenticazione degli endpoint.
| Nome | Tipo | Descrizione |
|---|---|---|
| primaryKey |
string |
Chiave primaria. |
| secondaryKey |
string |
Chiave secondaria. |
ErrorAdditionalInfo
Informazioni aggiuntive sull'errore di gestione delle risorse.
| Nome | Tipo | Descrizione |
|---|---|---|
| info |
object |
Informazioni aggiuntive. |
| type |
string |
Tipo di informazioni aggiuntive. |
ErrorDetail
Dettagli dell'errore.
| Nome | Tipo | Descrizione |
|---|---|---|
| additionalInfo |
Informazioni aggiuntive sull'errore. |
|
| code |
string |
Codice di errore. |
| details |
Dettagli dell'errore. |
|
| message |
string |
Messaggio di errore. |
| target |
string |
Destinazione dell'errore. |
ErrorResponse
Risposta di errore
| Nome | Tipo | Descrizione |
|---|---|---|
| error |
Oggetto error. |